#ifndef Library_h
#define Library_h
//Attitude Controller VARIABLES
float const dt_alti = 0.005f;
// Controller gains and /or time constants
float const Kp_phi = 200;
float const Kp_theta = Kp_phi;
float const Td_phi = 30;
float const Td_theta = Td_phi;
float const Kp_psi = 2.57*0.81*2.5*10;
float const Td_psi = 0.81*10*1.2;
// Quadcopter moments of inertia (kg.m ^2)
float const I_xx = 16.0e-6f;
float const I_yy = 16.0e-6f;
float const I_zz = 29.0e-6f;
// Attitude Estimator constants
 float const pi = 3.14159265f;
 float const dt = 0.005f;
 float const rho = 0.05f;
 // Mixer
const float alpha = 1.081E-7;
const float beta = 2.678E-11;
const float kl = 2.69E-8;
const float kd = 1.59E-10;
const float l = 33E-3;
const float m = 0.03f;
const float g = 9.81f;
//verrtical
const float p_verti = 0.3f;
const float dt_ver_pre=0.002f;
const float dt_ver_cor=0.05f;
const float dt_range=0.02f;

//horizontal
float kp_hori = 1.35f;
float kd_hori = 2;

# endif
